#include "MenuTextPageNext_Player1Joystick.h"

InputSetting_Joystick* MenuTextPageNext_Player1Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Joystick ? gameFunc->GetInputSetting_Player1Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextPageNext_Player1Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_pageNext;
}

std::weak_ptr<Entity> MenuTextPageNext_Player1Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player1(entityRes);
}

std::shared_ptr<Entity> CreateMenuTextPageNext_Player1Joystick()
{
	return std::make_shared<MenuTextPageNext_Player1Joystick>();
}


